Package org.apache.sysds.runtime.ooc.memory

# Interface MemoryAllowance

All Known Implementing Classes:
  `CachedAllowance`, `SyncMemoryAllowance`

public interface MemoryAllowance

## Method Summary

Modifier and Type
Method
Description
`default void`
`destroy()`
`default long`
`getFreeMemory()`
`long`
`getGrantedMemory()`
`long`
`getTargetMemory()`
`long`
`getUsedMemory()`
`boolean`
`isShutdown()`
`default boolean`
`isUnderPressure()`
`void`
`release(long bytes)`
`OOCFuture<Void>`
`reserveAsync(long bytes)`
`void`
`reserveBlocking(long bytes)`
`void`
`setTargetMemory(long targetMemory)`
`void`
`shutdown()`
`boolean`
`tryReserve(long bytes)`

## Method Details

### tryReserve

boolean tryReserve(long bytes)

### reserveBlocking

void reserveBlocking(long bytes)

### reserveAsync

OOCFuture<Void> reserveAsync(long bytes)

### release

void release(long bytes)

### getUsedMemory

long getUsedMemory()

### getGrantedMemory

long getGrantedMemory()

### getTargetMemory

long getTargetMemory()

### setTargetMemory

void setTargetMemory(long targetMemory)

### shutdown

void shutdown()

### isShutdown

boolean isShutdown()

### destroy

default void destroy()

### getFreeMemory

default long getFreeMemory()

### isUnderPressure

default boolean isUnderPressure()